// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPayOnServerProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPayOnServerProductPlugin", targets: ["WebIdPayOnServerProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-bank-ident-plugin-spm",
            .exact("11.6.2")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .exact("12.4.2")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .exact("13.5.2")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-server-document-scanner-spm",
            .exact("13.5.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPayOnServerProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdPayOnServerProductPlugin/14.7.0/WebIdPayOnServerProductPlugin.framework-v14.7.0-SNAPSHOT-1401.zip",
            checksum: "0e7d57bfa6fa26df5371ce2fa09bb338a37d4664a64a20acd46ce85257eca361"
        ),
        .target(
            name: "WebIdPayOnServerProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdPayOnServerProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdIosBankIdentPlugin", package: "WebIdIosBankIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
